#include <iostream>
#include <cmath>
#include <vector>
#include "histogram.h"
#include "text.h"
#include "svg.h"


using namespace std;

struct Input
{
    vector<double> numbers;
    size_t bin_count{};
};

Input
input_data(istream& in)
{

    size_t number_count;
    cerr << "count=";
    in >> number_count;

    Input rez;

    rez.numbers.resize(number_count);

    for (size_t i = 0; i < number_count; i++)
    {
       in >> rez.numbers[i];
    }

    cerr << "bin_count= ";
    in >> rez.bin_count;

    return rez;
}


int main()
{
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
